$ErrorActionPreference = 'Stop';

$packageName= 'invantive-studio'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Studio-22.1.21-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Studio-22.1.21-BETA.msi'
  softwareName = 'Invantive Studio'
  checksum = 'B76A18ECA675220FCEFB8E2A450A066E644820CDCE819493DD03AC4F6D1E3342'
  checksumType = 'sha256'
  checksum64 = 'B76A18ECA675220FCEFB8E2A450A066E644820CDCE819493DD03AC4F6D1E3342'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-studio-22.1.21-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
